#!/bin/sh
# simple shell filter front end
# all of the options will be set
# Note that the -T options will be appended to each other
while [ -n "$1" ];  do
	case $1 in
	-c) literal=1; ;;
	-) nullfile=1; ;;
	-*)
		n=`expr $1 : '-\(.\).*'`;
		v=`expr $1 : '-.\(.*\)'`;
		if [ -z "$v" ] ; then
			shift;
			v=$1;
		fi;
		if [ "${n}" = "T" -a -n "$T" ] ; then
			eval "${n}=$T,${v}";
		else
			eval "${n}=${v}";
		fi;
		;;
	esac;
	shift;
done;
# echo "a='$a'";
# echo "T='$T'";
exec cat
