/*
 * lp-pipe.h: header file with std. lp-pipe defines & portability things.
 *                              -- Justin Mason 26 Aug 94.
 */

#include "portable.h"	/* from LPRng src/include directory */
#include "errorcodes.h"	/* from LPRng src/include directory */
#include <errno.h>
#include <signal.h>
#include <stdio.h>

plp_signal_t kill_job ();
extern char *Status_file;
extern char *Host;
extern char *Name;
extern int Port;

extern int sockfd;

const char * Errormsg ( int err );
void open_sock( int retry_delay );
int BPwrite( int fd, char *s, int cnt );

#ifdef __STDC__
void setstatus (char *,...); 
#else
void setstatus (); 
#endif
